Debian Bug report logs - #732349
libgc: Add arm64 support

version graph

Package: src:libgc; Maintainer for src:libgc is Christoph Egger <christoph@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 17 Dec 2013 05:06:02 UTC

Severity: normal

Tags: patch

Found in versions libgc/7.2d-5, libgc/7.2d-6

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Egger <christoph@debian.org>:
Bug#732349; Package src:libgc. (Tue, 17 Dec 2013 05:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Christoph Egger <christoph@debian.org>. (Tue, 17 Dec 2013 05:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgc: Add arm64 support
Date: Tue, 17 Dec 2013 05:02:24 +0000
[Message part 1 (text/plain, inline)]
Source: libgc
Version: 7.2d-5
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package does not build for arm64.

It needs updated config.sub/guess autoconf files, updated symbols file
and updated private config file 

This patch is a minimal one, which just uses dh-autotools to updated
config.{sub,guess}. It would probably be better to use dh-autoreconf to
do a full autotools update. See the Ubuntu patch for an example of this.
I didn't do this as there is already a dh_autoreconf override in the
rules file, commented out. Maybe there is a good reason for that?

The ubuntu patch also removes the need for kde-pkg-tools. That is no
longer necesssary, but would be a good idea as a BUILD_PROFILE to
facilitate bootstrapping. Someone will file a separate bug about that.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libgc_7.2d-5-autoconf-update.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#732349; Package src:libgc. (Tue, 17 Dec 2013 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. (Tue, 17 Dec 2013 14:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 732349@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Wookey <wookey@wookware.org>
Cc: 732349@bugs.debian.org
Subject: Re: Bug#732349: libgc: Add arm64 support
Date: Tue, 17 Dec 2013 15:47:13 +0100
Hi!

Wookey <wookey@wookware.org> writes:
> It needs updated config.sub/guess autoconf files, updated symbols file
> and updated private config file 
>
> This patch is a minimal one, which just uses dh-autotools to updated
> config.{sub,guess}. It would probably be better to use dh-autoreconf to
> do a full autotools update. See the Ubuntu patch for an example of this.
> I didn't do this as there is already a dh_autoreconf override in the
> rules file, commented out. Maybe there is a good reason for that?

Yah. when I imported the ubuntu patch to fix some bug, the ubuntu
changelog as well as source didn't contain any rationale for any of the
changes so I only kept the ones that were immediately obvious to be
right. In the meantime it has ecome clear that enabling the dh-atoreconf
is probably the right thing and will likely be part of libgc as soon as
I upload it again

  Christoph



Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Mon, 23 Dec 2013 12:06:50 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Mon, 23 Dec 2013 12:06:50 GMT) Full text and rfc822 format available.

Message #15 received at 732349-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 732349-close@bugs.debian.org
Subject: Bug#732349: fixed in libgc 1:7.2d-6
Date: Mon, 23 Dec 2013 12:03:42 +0000
Source: libgc
Source-Version: 1:7.2d-6

We believe that the bug you reported is fixed in the latest version of
libgc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 732349@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated libgc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 23 Dec 2013 12:29:01 +0100
Source: libgc
Binary: libgc1c2 libgc-dev
Architecture: source kfreebsd-amd64
Version: 1:7.2d-6
Distribution: unstable
Urgency: medium
Maintainer: Christoph Egger <christoph@debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 libgc-dev  - conservative garbage collector for C (development)
 libgc1c2   - conservative garbage collector for C and C++
Closes: 732349
Changes: 
 libgc (1:7.2d-6) unstable; urgency=medium
 .
   * Run full autoreconf during build
      (Closes: #732349)
Checksums-Sha1: 
 9ce60248003156763f79171d464553141dbfb797 1941 libgc_7.2d-6.dsc
 2e4cfb945818d9b4cc1ee9d79140e456c5db56d6 17263 libgc_7.2d-6.debian.tar.gz
 673da35982dc5572a82b4ef497f22d7206e918c4 127788 libgc1c2_7.2d-6_kfreebsd-amd64.deb
 836235c62bfd1b9601535b70ab4f6cf1978613ec 221232 libgc-dev_7.2d-6_kfreebsd-amd64.deb
Checksums-Sha256: 
 ba8d679a7ebf49df94cb65a618d78cba32e7596e140ed8ad849114b26dd2c64d 1941 libgc_7.2d-6.dsc
 34a818dcd5a4c87b9b6f49a946749b5e993fb3d5e534b71cb49c69721917e161 17263 libgc_7.2d-6.debian.tar.gz
 aa0f2c467b3dff517ef9844ae48d8ae776ea1d4d15d162cc1689a22d180a5d52 127788 libgc1c2_7.2d-6_kfreebsd-amd64.deb
 96b4689546752d25ef8b9cea86253f4209100f5d2ea40af158418d702c88890c 221232 libgc-dev_7.2d-6_kfreebsd-amd64.deb
Files: 
 b4cedc76e3ab7b2f5385ac2ab097962c 1941 libs standard libgc_7.2d-6.dsc
 d1b3115487e457c62f0dbaaefcd6602b 17263 libs standard libgc_7.2d-6.debian.tar.gz
 7f56a427888028b8b5e707edb2800748 127788 libs standard libgc1c2_7.2d-6_kfreebsd-amd64.deb
 f42023c7183f508abfe2f4ff4cf0862d 221232 libdevel optional libgc-dev_7.2d-6_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/kFreeBSD)

iQIcBAEBCAAGBQJSuCOxAAoJEKv/7bJACMb5p20QAKyymRZ3Z4JRw0OzTBgaBtPZ
OxewEH/4+YSdKL2qJ1oTatY4LRz0/db8D42MyysZ/lRbyp/Y6tlv+lJAcnw1+iZn
E23EF3I3BEIC2LZMOtoD6BVi2rvhGByAWTO2ZW0ck1ytsvKGh17799TcoSOLq+wG
gQcqU3fJc3aCRaIb73p/oFh0F1YhSAZAfXWH3dFY3zYriX/UzDcwOn2jJFA3teV4
kiXa6atpjp+3IZ8nXMFBeud13KVb76OnxvOUgY6QOQDpl1GRZ0nZXimV+3OCGYFY
eqkw+Yn1XVEOGjxFxvp4UbN4E7mhilLYoi7ddM8J8sfHaOYo7UuLbhDOkiCuhRJ0
MWluG1GfGdSNAECPjCv++bjftJqQOx+KXmiqwrezOGtcAu1AOHH+ousfvsGfWiyu
bcFzYP2Umz2Yno/+Mk0mMy0nN0F4xW9bypTA7jGGIRHrit3VsHRKRXGnFEwefOpg
rnzQ/ABEYfpwZhPAN7U4z50NoRbs57etaFu1RZ0RlNQ5NTWnGTJ+RNUNKKXuHVpf
li7c1+4t55ehEph5X5b8+pRIe0A3lErztTeAhZGmWWFlEX/Dw7djVvMONflU+1kM
J0z5842VU9x7HhKxVBMQl4jTEVm2jX3kGjxJKdVGu9xm4EDafgaceGCdGZd8RNCI
yb4WomsHDjpDlaclRlMk
=nqIU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jan 2014 07:29:11 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Wookey <wookey@stoneboat.aleph1.co.uk> to control@bugs.debian.org. (Sat, 19 Apr 2014 21:15:04 GMT) Full text and rfc822 format available.

Bug reopened Request was from Wookey <wookey@stoneboat.aleph1.co.uk> to control@bugs.debian.org. (Sat, 19 Apr 2014 21:21:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions libgc/1:7.2d-6. Request was from Wookey <wookey@stoneboat.aleph1.co.uk> to control@bugs.debian.org. (Sat, 19 Apr 2014 21:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Egger <christoph@debian.org>:
Bug#732349; Package src:libgc. (Sat, 19 Apr 2014 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Christoph Egger <christoph@debian.org>. (Sat, 19 Apr 2014 21:39:05 GMT) Full text and rfc822 format available.

Message #28 received at 732349@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 732349@bugs.debian.org
Subject: re: Autoreconfing libgc
Date: Sat, 19 Apr 2014 22:34:02 +0100
[Message part 1 (text/plain, inline)]
Package: src:libgc
Version: 7.2d-6
Followup-For: Bug #732349

Thanks for updating the package to use autoreconf, which ought to have
fixed it for arm64, butin fact this hasn't worked, as explained in the
long thread on debian-devel this week about autotools-dev and
dh-autoreconf.

https://lists.debian.org/debian-devel/2014/04/msg00459.html

Because you used the upstream autogen.sh file (not unreasonably), and
the config.sub (but not guess, oddly) in the package was too old it
still didn't get updated files.

And in fact it turns out that the upstream autogen.sh file doesn't do
anything useful and just breaks building in the 'new arch'
circumstance it's best not used:
https://lists.debian.org/debian-devel/2014/04/msg00497.html

So here's a patch that works.

(actually it just configures correctly and tries to build with this but falls over for a different reason:
In file included from ./include/private/gc_priv.h:94:0,
                 from allchblk.c:17:
./include/private/gcconfig.h:518:5: error: #error "The collector has not been ported to this machine/OS combinat
ion."
 #   error "The collector has not been ported to this machine/OS combination."
     ^
In file included from ./include/private/gc_priv.h:94:0,
                 from allchblk.c:17:
./include/private/gcconfig.h:2433:3: error: #error --> undefined ALIGNMENT
 # error --> undefined ALIGNMENT

The fix for this is in
http://patches.ubuntu.com/libg/libgc/libgc_1:7.2d-5ubuntu2.patch but
I've not integrated and tested that, and may not have time for a while
as I'm off the Opensuse conf and then holiday for a week or two.

At least part of that patch is bogus - pkg-kde-tools and symbolhelped
is fine on arm64 now, but the rest looks about right.

So, thanks for being a poster-boy for the dh-autoreconf discussion - I
think we've reached a sensible place on all that. And either apply
that ubuntu patch too to get this to work or wait till I have time to
do so.

You can see build attempts for libgc on arm64 here: 
http://buildd.debian-ports.org/status/package.php?p=libgc&suite=sid

And I can get you access to a machine if you need it.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[libgc_7.2d-6.dsc-autoreconf.patch (text/x-diff, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:03:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.